Bug 554418 - (CVE-2010-0001) CVE-2010-0001 gzip: (64 bit) Integer underflow by decompressing LZW format files
CVE-2010-0001 gzip: (64 bit) Integer underflow by decompressing LZW format files
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,source=redhat,reporte...
: Security
Depends On: 555085 555086 555087 555088 555089 555090 557471
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-11 11:53 EST by Jan Lieskovsky
Modified: 2016-03-04 06:51 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-08 12:52:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-01-11 11:53:15 EST
An integer underflow leading to array index error was found in the way
gzip used to decompress files / archives, compressed with the Lempel–Ziv–Welch
(LZW) compression algorithm. A remote attacker could provide a
specially-crafted LZW compressed gzip archive, which once decompressed
by a local, unsuspecting user would lead to gzip crash, or, potentially to arbitrary code execution with the privileges of the user running gzip.

Upstream patch:
---------------
http://git.savannah.gnu.org/cgit/gzip.git/commit/?id=a3db5806d012082b9e25cc36d09f19cd736a468f

Acknowledgements:

Red Hat would like to thank Aki Helin of the Oulu University Secure
Programming Group for responsibly reporting this flaw.
Comment 5 Jan Lieskovsky 2010-01-11 13:29:43 EST
This issue affects the versions of the gzip package, as shipped
with Red Hat Enterprise Linux 3, 4, and 5.

This issue affects the versions of the gzip package, as shipped
with Fedora release of 11 and 12.
Comment 7 Jan Lieskovsky 2010-01-12 06:23:26 EST
This issue does NOT affect the versions of ncompress and busybox packages,
as shipped with Red Hat Enterprise Linux 3, 4, and 5.

This issue does NOT affect the versions of ncompress and busybox packages,
as shipped with Fedora release of 11 and 12.
Comment 16 errata-xmlrpc 2010-01-20 10:04:06 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0061 https://rhn.redhat.com/errata/RHSA-2010-0061.html
Comment 18 Fedora Update System 2010-01-21 14:56:04 EST
gzip-1.3.12-14.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gzip-1.3.12-14.fc12
Comment 19 Fedora Update System 2010-01-21 14:59:20 EST
gzip-1.3.12-10.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gzip-1.3.12-10.fc11
Comment 20 Fedora Update System 2010-01-31 20:03:05 EST
gzip-1.3.12-14.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2010-01-31 20:03:50 EST
gzip-1.3.12-10.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Tomas Hoger 2010-02-08 12:52:48 EST
ncompress contains similar code where similar fix would apply, the impact is different though.  The difference between gzip and ncompress is in the types used for inbits (long in gzip, int in ncompress) and insize (unsigned in gzip, signed in ncompress).  In ncompress, negative insize will cause inbits to be negative rather than large positive (unsigned insize + 64bit long insize), failing the while-loop condition (inbits > posbits) to not be satisfied.

Note You need to log in before you can comment on or make changes to this bug.